## ros-indigo-homer-map-manager 1.0.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_map_manager)

find_package(catkin REQUIRED COMPONENTS roscpp roslib tf homer_mapnav_msgs homer_nav_libs std_srvs cmake_modules)

find_package( Eigen REQUIRED )

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML_CPP REQUIRED yaml-cpp)

if(NOT ${YAML_CPP_VERSION} VERSION_LESS "0.5")
	add_definitions(-DHAVE_NEW_YAMLCPP)
endif()

catkin_package(
	CATKIN_DEPENDS
		roscpp
		roslib
		tf
		homer_mapnav_msgs
		homer_nav_libs
		std_srvs
	INCLUDE_DIRS include
)

include_directories(
	include
	${catkin_INCLUDE_DIRS}
	${EIGEN_INCLUDE_DIRS}
)

add_subdirectory(${PROJECT_SOURCE_DIR}/src/Managers)
add_subdirectory(${PROJECT_SOURCE_DIR}/src/MapIO)

add_executable(map_manager src/map_manager_node.cpp)

target_link_libraries(
	map_manager
		${catkin_LIBRARIES}
		Managers
		image_io
)

add_dependencies(
	map_manager
		${catkin_EXPORTED_TARGETS}
		homer_mapnav_msgs_gencpp
)

install(TARGETS map_manager DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/homer_map_manager/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== src/Managers/CMakeLists.txt ===
set(Managers_SRC MapManager.cpp MaskingManager.cpp PoiManager.cpp RoiManager.cpp)

add_library(Managers ${Managers_SRC})
target_link_libraries(Managers image_io)
add_dependencies(Managers homer_mapnav_msgs_gencpp)

install(TARGETS Managers DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/MapIO/CMakeLists.txt ===
add_library(image_io image_loader.cpp map_saver.cpp map_loader.cpp)
target_link_libraries(image_io SDL SDL_image yaml-cpp)
add_dependencies(image_io homer_mapnav_msgs_gencpp)
install(TARGETS image_io DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-homer-map-manager (1.0.16-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Wed, 17 Feb 2016 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.15-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Fri, 04 Dec 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.14-0trusty) trusty; urgency=high

  * moved header files to include directory
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Fri, 04 Dec 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.13-0trusty) trusty; urgency=high

  * fixed CMakeLists
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 03 Dec 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.12-0trusty) trusty; urgency=high

  * fixed yaml-cpp saucy error
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Wed, 02 Dec 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.11-0trusty) trusty; urgency=high

  * added std_srvs dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Tue, 01 Dec 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.10-0trusty) trusty; urgency=high

  * added yaml-cpp dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Tue, 01 Dec 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.9-0trusty) trusty; urgency=high

  * added sdl-image dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 30 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.8-0trusty) trusty; urgency=high

  * added sdl dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 29 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.7-0trusty) trusty; urgency=high

  * updated changelog
  * updated catkin_depends
  * Contributors: Niklas Yann Wettengel
  * updated catkin_depends
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Fri, 27 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.6-0trusty) trusty; urgency=high

  * removed env HOMER_DIR from CMakeLists.txt
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 26 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.5-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 23 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.4-0trusty) trusty; urgency=high

  * changed build dependency from libeigen3-dev to eigen
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 19 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.3-0trusty) trusty; urgency=high

  * added libeigen3-dev build dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 19 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.2-0trusty) trusty; urgency=high

  * added Maintainers
  * added cmake_modules build dependency
  * added raphael as maintainer
  * Contributors: Niklas Yann Wettengel, Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 19 Nov 2015 23:00:00 -0000

ros-indigo-homer-map-manager (1.0.1-0trusty) trusty; urgency=high

  * init
  * Contributors: Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-homer-map-manager
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-std-srvs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-homer-map-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-std-srvs, ros-indigo-tf
Description: map_manager

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-homer-map-manager//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
